Upstream information

CVE-2016-7093 at MITRE

Description

Xen 4.5.3, 4.6.3, and 4.7.x allow local HVM guest OS administrators to overwrite hypervisor memory and consequently gain host OS privileges by leveraging mishandling of instruction pointer truncation during emulation.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.2
Vector CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required High
User Interaction None
Scope Changed
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 995789 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • xen >= 4.5.3_10-20.1
  • xen-kmp-default >= 4.5.3_10_k3.12.62_60.62-20.1
  • xen-libs >= 4.5.3_10-20.1
  • xen-libs-32bit >= 4.5.3_10-20.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1444
SUSE Linux Enterprise Desktop 12 SP2
  • xen >= 4.7.0_12-23.4
  • xen-libs >= 4.7.0_12-23.4
  • xen-libs-32bit >= 4.7.0_12-23.4
SUSE Linux Enterprise Desktop 12 SP3
  • xen >= 4.9.0_08-2.2
  • xen-libs >= 4.9.0_08-2.2
  • xen-libs-32bit >= 4.9.0_08-2.2
SUSE Linux Enterprise Desktop 12 SP4
  • xen >= 4.11.0_08-1.11
  • xen-libs >= 4.11.0_08-1.11
  • xen-libs-32bit >= 4.11.0_08-1.11
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • xen >= 4.12.1_06-1.1
  • xen-doc-html >= 4.12.1_06-1.1
  • xen-libs >= 4.12.1_06-1.1
  • xen-libs-32bit >= 4.12.1_06-1.1
  • xen-tools >= 4.12.1_06-1.1
  • xen-tools-domU >= 4.12.1_06-1.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • xen-libs >= 4.12.0_12-1.1
  • xen-tools-domU >= 4.12.0_12-1.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • xen-libs >= 4.13.1_02-1.2
  • xen-tools-domU >= 4.13.1_02-1.2
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • xen-libs >= 4.14.1_16-1.6
  • xen-tools-domU >= 4.14.1_16-1.6
SUSE Linux Enterprise Module for Basesystem 15
  • xen-libs >= 4.10.1_04-1.4
  • xen-tools-domU >= 4.10.1_04-1.4
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • xen >= 4.12.0_12-1.1
  • xen-devel >= 4.12.0_12-1.1
  • xen-tools >= 4.12.0_12-1.1
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • xen >= 4.13.1_02-1.2
  • xen-devel >= 4.13.1_02-1.2
  • xen-tools >= 4.13.1_02-1.2
  • xen-tools-xendomains-wait-disk >= 4.13.1_02-1.2
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • xen >= 4.14.1_16-1.6
  • xen-devel >= 4.14.1_16-1.6
  • xen-tools >= 4.14.1_16-1.6
  • xen-tools-xendomains-wait-disk >= 4.14.1_16-1.6
SUSE Linux Enterprise Module for Server Applications 15
  • xen >= 4.10.1_04-1.4
  • xen-devel >= 4.10.1_04-1.4
  • xen-tools >= 4.10.1_04-1.4
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • xen >= 4.4.4_08-40.2
  • xen-doc-html >= 4.4.4_08-40.2
  • xen-kmp-default >= 4.4.4_08_3.0.101_80-40.2
  • xen-kmp-pae >= 4.4.4_08_3.0.101_80-40.2
  • xen-libs >= 4.4.4_08-40.2
  • xen-libs-32bit >= 4.4.4_08-40.2
  • xen-tools >= 4.4.4_08-40.2
  • xen-tools-domU >= 4.4.4_08-40.2
Patchnames:
slessp4-xen-12782
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • xen >= 4.5.3_10-20.1
  • xen-doc-html >= 4.5.3_10-20.1
  • xen-kmp-default >= 4.5.3_10_k3.12.62_60.62-20.1
  • xen-libs >= 4.5.3_10-20.1
  • xen-libs-32bit >= 4.5.3_10-20.1
  • xen-tools >= 4.5.3_10-20.1
  • xen-tools-domU >= 4.5.3_10-20.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1444
SUSE Linux Enterprise Server 12 SP2
  • xen >= 4.7.0_12-23.4
  • xen-doc-html >= 4.7.0_12-23.4
  • xen-libs >= 4.7.0_12-23.4
  • xen-libs-32bit >= 4.7.0_12-23.4
  • xen-tools >= 4.7.0_12-23.4
  • xen-tools-domU >= 4.7.0_12-23.4
SUSE Linux Enterprise Server 12 SP3
  • xen >= 4.9.0_08-2.2
  • xen-doc-html >= 4.9.0_08-2.2
  • xen-libs >= 4.9.0_08-2.2
  • xen-libs-32bit >= 4.9.0_08-2.2
  • xen-tools >= 4.9.0_08-2.2
  • xen-tools-domU >= 4.9.0_08-2.2
SUSE Linux Enterprise Server 12 SP4
  • xen >= 4.11.0_08-1.11
  • xen-doc-html >= 4.11.0_08-1.11
  • xen-libs >= 4.11.0_08-1.11
  • xen-libs-32bit >= 4.11.0_08-1.11
  • xen-tools >= 4.11.0_08-1.11
  • xen-tools-domU >= 4.11.0_08-1.11
SUSE Linux Enterprise Server 12-LTSS
  • xen >= 4.4.4_04-22.22.2
  • xen-doc-html >= 4.4.4_04-22.22.2
  • xen-kmp-default >= 4.4.4_04_k3.12.60_52.54-22.22.2
  • xen-libs >= 4.4.4_04-22.22.2
  • xen-libs-32bit >= 4.4.4_04-22.22.2
  • xen-tools >= 4.4.4_04-22.22.2
  • xen-tools-domU >= 4.4.4_04-22.22.2
Patchnames:
SUSE-SLE-SERVER-12-2016-1476
SUSE Linux Enterprise Server for SAP Applications 12
  • xen >= 4.4.4_04-22.22.2
  • xen-doc-html >= 4.4.4_04-22.22.2
  • xen-kmp-default >= 4.4.4_04_k3.12.60_52.54-22.22.2
  • xen-libs >= 4.4.4_04-22.22.2
  • xen-libs-32bit >= 4.4.4_04-22.22.2
  • xen-tools >= 4.4.4_04-22.22.2
  • xen-tools-domU >= 4.4.4_04-22.22.2
Patchnames:
SUSE-SLE-SAP-12-2016-1476
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xen-devel >= 4.4.4_08-40.2
Patchnames:
sdksp4-xen-12782
SUSE Linux Enterprise Software Development Kit 12 SP1
  • xen-devel >= 4.5.3_10-20.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1444
SUSE Linux Enterprise Software Development Kit 12 SP2
  • xen-devel >= 4.7.0_12-23.4
SUSE Linux Enterprise Software Development Kit 12 SP3
  • xen-devel >= 4.9.0_08-2.2
SUSE Linux Enterprise Software Development Kit 12 SP4
  • xen-devel >= 4.11.0_08-1.11
SUSE Linux Enterprise Software Development Kit 12 SP5
  • xen-devel >= 4.12.1_06-1.1
openSUSE Leap 15.0
  • xen-libs >= 4.10.0_20-lp150.1.2
Patchnames:
openSUSE Leap 15.0 GA xen-libs-4.10.0_20-lp150.1.2
openSUSE Tumbleweed
  • xen >= 4.7.0_12-1.3
  • xen-devel >= 4.7.0_12-1.3
  • xen-doc-html >= 4.7.0_12-1.3
  • xen-libs >= 4.7.0_12-1.3
  • xen-libs-32bit >= 4.7.0_12-1.3
  • xen-tools >= 4.7.0_12-1.3
  • xen-tools-domU >= 4.7.0_12-1.3
Patchnames:
openSUSE Tumbleweed GA xen-4.7.0_12-1.3


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES-LTSS-SAP xen Already fixed
SLES_LTSS-10-SP4 xen Not affected
SUSE Linux Enterprise Desktop 11 SP4 xen Released
SUSE Linux Enterprise Desktop 12 xen Released
SUSE Linux Enterprise Desktop 12 SP1 xen Released
SUSE Linux Enterprise Server 11 SP2 LTSS xen Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS xen Not affected
SUSE Linux Enterprise Server 11 SP4 xen Released
SUSE Linux Enterprise Server 11 SP4 LTSS xen In progress
SUSE Linux Enterprise Server 12 xen Released
SUSE Linux Enterprise Server 12 LTSS xen Released
SUSE Linux Enterprise Server 12 SP1 xen Released
SUSE Linux Enterprise Server BCL 12 SP2 xen Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 xen Released
SUSE Linux Enterprise Software Development Kit 12 xen Released
SUSE Linux Enterprise Software Development Kit 12 SP1 xen Released